# Class EventLog

EventLog Class

- Defined in packages/saltcorn-data/models/eventlog.ts:16
- Defined in packages/saltcorn-data/models/eventlog.ts:150

##### Index

### Constructors

constructor

### Properties

channel?
email?
event_type
id?
occur_at
payload?
user_id?

### Accessors

reltime
toJson

### Methods

count
create
find
findOne
findOneWithUser
hasChannel
hasTable

## Constructors

### constructor

- new EventLog(o: EventLogCfg): EventLog

  EventLog constructor

  #### Parameters

  - o: EventLogCfg

  #### Returns EventLog

  - Defined in packages/saltcorn-data/models/eventlog.ts:29

## Properties

### `Optional` channel

channel?: string | null

- Defined in packages/saltcorn-data/models/eventlog.ts:19

### `Optional` email

email?: string

- Defined in packages/saltcorn-data/models/eventlog.ts:23

### event_type

event_type: string

- Defined in packages/saltcorn-data/models/eventlog.ts:18

### `Optional` id

id?: number

- Defined in packages/saltcorn-data/models/eventlog.ts:17

### occur_at

occur_at: Date

- Defined in packages/saltcorn-data/models/eventlog.ts:20

### `Optional` payload

payload?: any

- Defined in packages/saltcorn-data/models/eventlog.ts:22

### `Optional` user_id

user_id?: number | null

- Defined in packages/saltcorn-data/models/eventlog.ts:21

## Accessors

### reltime

- get reltime(): string

  #### Returns string

  - Defined in packages/saltcorn-data/models/eventlog.ts:96

### toJson

- get toJson(): any

  #### Returns any

  - Defined in packages/saltcorn-data/models/eventlog.ts:144

## Methods

### `Static` count

- count(where: Where): Promise<number>

  #### Parameters

  - where: Where

  #### Returns Promise<number>

  - Defined in packages/saltcorn-data/models/eventlog.ts:89

### `Static` create

- create(o: EventLogCfg): Promise<void | EventLog>

  #### Parameters

  - o: EventLogCfg

  #### Returns Promise<void | EventLog>

  - Defined in packages/saltcorn-data/models/eventlog.ts:104

### `Static` find

- find(where: Where, selopts?: SelectOptions): Promise<EventLog[]>

  #### Parameters

  - where: Where
  - `Optional` selopts: SelectOptions

  #### Returns Promise<EventLog[]>

  - Defined in packages/saltcorn-data/models/eventlog.ts:50

### `Static` findOne

- findOne(where: Where): Promise<EventLog>

  #### Parameters

  - where: Where

  #### Returns Promise<EventLog>

  - Defined in packages/saltcorn-data/models/eventlog.ts:62

### `Static` findOneWithUser

- findOneWithUser(id: number): Promise<EventLog | null>

  #### Parameters

  - id: number

  #### Returns Promise<EventLog | null>

  - Defined in packages/saltcorn-data/models/eventlog.ts:71

### `Static` hasChannel

- hasChannel(evType: string): boolean

  #### Parameters

  - evType: string

  #### Returns boolean

  - Defined in packages/saltcorn-data/models/eventlog.ts:138

### `Static` hasTable

- hasTable(evType: string): boolean

  #### Parameters

  - evType: string

  #### Returns boolean

  - Defined in packages/saltcorn-data/models/eventlog.ts:130